error = [];

epsilon = 1e-6;

for n = 1:8

  f     = 'abs(x-0.5)';  % for Human
  F     = inline( f ) ;  % for Matlab

% Start Polynomial Interpolation (xData, yData) --> (x, y)
  xData = linspace( 0, 1, n );    
  yData = F( xData );

  x     = linspace( 0, 1    );
  y     = PolyInterpolation( x, xData, yData );   

  error(n) = max( abs( y - F(x) ) );

% Generate plots with some details
  subplot(2,1,1)
  plot     ( x, y, '-', x, F(x), ':', xData, yData, 'o' )
  xlabel   ( sprintf( 'n = %d', n ) )
  legend   ( 'p(x)', 'f^*(x)', 'Data' )    

  subplot(2,1,2)
  semilogy ( x, abs( y - F(x) ) + epsilon );
  xlabel   ( sprintf( 'f = %s', f ) )
  legend   ( 'err fn' )

  pause( 0.01 )              % seconds
end





%% OK-f*
% 'x.^2.*(1-x)';
% 'cos(4*pi*x)';
% 'sin(2*pi*x)';
%% Runge/ not OK f*
% 'abs(x-0.5)';
% 'sign(x-0.5)';
% 'max(0, x-0.5)';
% '1./(1+25*(x-0.5).^2)';
% 'abs(sin(2*pi*x))';
