function basicfit ( xData, yData, n )

% Plot a least-squares degree-n polynomial to data (xData, yData)
% No Assumptions check 
% The number of points in xData and yData should match

% Create column vectors
x = xData (:);
y = yData (:);

% construct matrix system
A = [];
for k = n:-1:0
  A = [A x.^k];
end

% Find LS-polynomial coefficients
p = A\y;

% Prepare polynomial for plotting
x = linspace ( min(xData), max(xData) );
y = 0;
for k = n:-1:0 % note (n-k+1) = 1, 2, 3, ...,n, n+1
  y = y + p(n-k+1) * x.^k;
end

% plot data and LS-poly
plot( x, y, xData, yData, 'o');

n
kappa = cond(A)

% Polynomial values at grid points xData
x = xData;
y = 0;
for k = n:-1:0 % note (n-k+1) = 1, 2, 3, ...,n, n+1
  y = y + p(n-k+1) * x.^k;
end

err = y - yData;
sos = err'*err
