function [r, k] = bisection ( f, a, b )

% Bisection method for finding root of f between a and b
% OUTPUT : r = root 
% OUTPUT : k = # of iteration required

Nmax    = 1000 ; % Max. # of iteration allowed
epsilon = 0.001; % Error tolerance

% Bisection method
for k = 1:Nmax

% Find the mid-point
  m = (a + b)/2; 

% Find the appropriate subinterval
  if ( feval(f,m)*feval(f,a) < 0 ) 
    b = m;
  else
    a = m;
  end    

% Stopping criterion
  if ( abs(b - a) < epsilon )
    r = (a + b)/2; break; % Quit the for-loop
  end

end
